Fulfillment & ShippingMethods
Create shipping method
Creates a shipping or pickup method with its price, eligibility limits, schedule, provider connection, and checkout visibility.
POST
/v1/shipping/methodsCreates a shipping or pickup method with its price, eligibility limits, schedule, provider connection, and checkout visibility.
Authorization
bearerAuth AuthorizationBearer <token>
OAuth2 access token issued by Ecomiq Auth.
In: header
Header Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X POST "https://example.com/v1/shipping/methods" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "name": "Example resource", "displayName": "Example resource", "type": "regular", "basePrice": 1, "currency": "PEN", "estimatedDeliveryDays": 1, "estimatedDeliveryHours": 1, "allowShowCalendar": false }'{ "id": "7204558912004325301"}